UiPath Documentation
automation-suite
2.2510
true
Automation Suite API 指南
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。

生成新的外部客户端

使用 Identity API 在 Automation Suite 组织中生成新的外部 OAuth 客户端,包括所需的作用域和响应架构。

生成新的外部客户端。

API 端点

POST https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/GenerateSecret

作用域

需要以下任一作用域:

  • PM.OAuthApp
  • PM.OAuthApp.Write
  • PM.OAuthAppSecret.Write

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过身份验证方法中描述的其中一种方法进行身份验证。

请求正文

请求正文包含要为其生成密码的客户端 ID、相应的描述和组织 ID。

{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}
{
  "clientId": "string",
  "description": "string",
  "partitionGlobalId": "orgId",
  "expiryTime": "2025-07-18T13:24:15.806Z"
}

响应

200 成功

已成功为给定的外部客户端生成新的客户端密码。

{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
{
  "id": 0,
  "description": "string",
  "secret": "string",
  "creationTime": "2025-07-18T13:56:16.889Z",
  "expiryTime": "2025-07-18T13:56:16.889Z"
}
  • API 端点
  • 作用域
  • 请求标头
  • 请求正文
  • 响应
  • 200 成功

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新